import QRCode from 'qrcode';

// 生成 DataURL (Base64 图片)
export const makeQRCode = async (linkUrl) => {
  if (!linkUrl) return;
  let qrImage = null
  try {
    // 生成 PNG 格式的 DataURL
    qrImage = await QRCode.toDataURL(linkUrl, {
      width: 200,
      margin: 2,
      color: {
        dark: '#000000', // 二维码颜色
        light: '#ffffff' // 背景颜色
      }
    });
  } catch (err) {
    console.error('生成失败:', err);
  }
  return qrImage
};



// 根据生成的图片链接 下载二维码图片
export const downloadQRCode = (qrImage) => {
  if (!qrImage) return;
  const a = document.createElement('a');
  a.href = qrImage;
  a.download = 'qrcode.png';
  document.body.appendChild(a);
  a.click();
  document.body.removeChild(a);
};